#
# spec file for package python-pytest-instafail
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-instafail
Version:        0.5.0
Release:        2.1
Summary:        Pytest Plugin to Show Failures Instantly
License:        BSD-2-Clause
URL:            https://github.com/jpvanhal/pytest-instafail
Source:         https://files.pythonhosted.org/packages/source/p/pytest-instafail/pytest-instafail-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 2.6
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 2.6}
# /SECTION
%python_subpackages

%description
Pytest-instafail is a plugin for py.test that shows
failures and errors instantly instead of waiting
until the end of test session.

%prep
%setup -q -n pytest-instafail-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/pytest_instafail.py
%pycache_only %{python_sitelib}/__pycache__/pytest_instafail*.pyc
%{python_sitelib}/pytest_instafail-%{version}.dist-info

%changelog
* Wed May  7 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- No more greedy globs in %%files.
* Thu May  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.5.0:
  * Use ``pytest.hookimpl`` to configure hooks, avoiding a
    deprecation warning in pytest 7.2.0.
  * Dropped support for Python 3.6.
  * Added support for Python 3.11.
* Mon Jun 29 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.4.2
  * Fixed usage of deprecated pytest-xdist slave aliases (#20).
  * Fixed failing tests on pytest 5
  * Added support for pytest 2.6
  * Fixed failing tests on pytest 2.6
- Drop unneeded patch pytest5.patch
* Thu Mar  5 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add patch fixing testing with new pytest:
  * pytest5.patch
* Mon Nov 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.1.post0:
  * do not use py.test but mention pytest everywhere
* Sat Apr  6 2019 John Vandenberg <jayvdb@gmail.com>
- Remove constantly changing test artifact *PYTEST.pyc file readable
  only by root from the runtime package
* Wed Feb 27 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.1:
  * Fixed compatibility with pytest 4.2.0. Thanks @blueyed for the PR.
- Drop merged patch pytest42.patch
* Fri Feb 15 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to fix build with pytest 4.2+:
  * pytest42.patch
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Really execute the testsuite
* Tue May 29 2018 toddrme2178@gmail.com
- Update to version 0.4.0
  * Added support for Python 3.5, 3.6, and 3.7.
  * Dropped support for Python 2.7, 3.2, and 3.3.
  * Dropped support for pytest < 2.9.
  * Only rewrite lines on tty. Previously you would end up with a \r (^M) in case
    collecting of tests failed, and pytest's output is piped to a file. Thanks
    @blueyed for the PR.
  * Support -p no:terminal (#12). Thanks @Maratori for the PR.
* Mon Nov  6 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.3.0
  * Added support for Python 3.4
  * Added support for py.test 2.6
  * Fixed failing tests on py.test 2.6
- Update to version 0.2.0
  * Dropped support for Python 2.5.
  * Fixed stacktrace printed twice when using PDB.
  * Fixed internal error when a test marked as xfailing unexpectedly passes
  (David Szotten).
* Sun Jan 19 2014 toms@opensuse.org
- Initial version 0.1.1
